Skip to main content
PATCH
/
bookings
/
{bookingId}
/
deposit
cURL
curl --request PATCH \
  --url https://api-alpha.fourvenues.com/integrations/bookings/{bookingId}/deposit \
  --header 'Content-Type: application/json' \
  --header 'integration_id: <api-key>' \
  --header 'secret: <api-key>' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "deposit": 50,
  "deposit_paid": 50
}
'
{
  "success": true
}

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Path Parameters

bookingId
string
required

Id of the booking

Body

application/json

Body of the request

deposit
number

Deposit amount for the reservation

Example:

50

deposit_paid
number

Amount of deposit paid

Example:

50

Response

HTTP OK

success
boolean
Example:

true